﻿
@import url(https://fonts.googleapis.com/css?family=Muli:400,700);

html,
body {
    color: #666666;
    font-size: 17px;
    font-family: 'Muli', sans-serif;
    font-weight: 400;
    padding: 0;
    margin: 0;
    -webkit-font-smoothing: antialiased;
    -moz-font-smoothing: antialiased;
    -o-font-smoothing: antialiased;
    overflow-x: hidden;
}

header {
    border: none;
    padding-top: 6px;
}


header .title {
    font-size: 1.1rem;
    font-weight: 600;
    color: #333;
    letter-spacing: inherit;
    padding-top: 1.5rem;
}


footer {
    background-color: #f6f6f6;
    padding: 50px 0;
    height: 200px;
}

footer a {
    color: #666;
}

footer a:hover {
    color: #ffba8d;
}


.button, .button:active, .button.is-active,.button[disabled] {
    background-color: #20C293;
    color: #fff;
    padding-left: 40px;
    padding-right: 40px;
}

.button:hover, .button.is-hovered {
    background-color: #0ED89D;
    color: #fff;
}

.button {
    color: #fff;
}

.button.is-focused, .button:focus {
    border-color: #20C293;
    color: #fff;
}


.previous {
    margin-top: 20px;
}

.previous a {
    font-size: 14px;
    color:#333;
    margin-left: 5px;
}

.previous .fa {
    font-size: 14px;
    color: #0ED89D;
}

.ui-menu .ui-menu-item .ui-state-active
{
    background:#0ED89D;
    color: #fff;
}

.input.is-active, .input.is-focused, .input:active, .input:focus, .textarea.is-active, .textarea.is-focused, .textarea:active, .textarea:focus {
    box-shadow: 1px 1px 2px #0ED89D inset;
}

.select select.is-active, .select select.is-focused, .select select:active, .select select:focus {
    border-color: #0ED89D;
    outline: 0;
}

.valid .validation-marker,
.invalid .validation-marker{
    position: relative;
    background: none;
}

.valid .validation-marker:before {
    content: "\f00c";
    font-family: FontAwesome;
    font-style: normal;
    font-weight: normal;
    text-decoration: inherit;
    /*--adjust as necessary--*/
    color: #0ED89D;
    font-size: 18px;
    padding-right: 0.5em;
    position: absolute;
    top: 10px;
    left: 0;
}

.invalid .validation-marker:before {
    content: "\f12a";
    font-family: FontAwesome;
    font-style: normal;
    font-weight: normal;
    text-decoration: inherit;
    /*--adjust as necessary--*/
    color: #d6001c;
    font-size: 18px;
    padding-right: 0.5em;
    position: absolute;
    top: 10px;
    left: 0;
}


/* Business Form */

.business-form .is-checkradio[type=radio]:checked.has-background-color+label::before {
    border-color: #0ED89D!important;
    background-color: #0ED89D!important;
}

.business-form .is-checkradio[type=radio]:checked.has-background-color+label::after {
    border-color: #0ED89D!important;
    background-color: #0ED89D!important;
}



.business-form .steps .step-item.is-completed .step-marker {
    color: #fff;
    background-color: #0ED89D;
}

.business-form .steps .step-item.is-active .step-marker {
    background-color: #0ED89D;
    border-color: #0ED89D;
    color: #fff;
}

.business-form .steps .step-item .step-marker {
    background: #ffffff;
    border-color: #FEBB87;
    color: #FEBB87;
}

.business-form .steps .step-item.is-completed .step-marker {
    background-color: #fff;
    border-color: #0ED89D;
    color: #0ED89D;
}

.business-form .steps .step-item::before {
     background: #FEBB87; 
}

.business-form .steps .step-item.is-completed::before,
.business-form .steps .step-item.is-active::before {
    background: #0ED89D; 
}

.business-form .radio-list .field .field {
    float: left;
    width: auto;
}


.step-content {
    position: relative;
}

.step-slide {
    position: relative;
}


/*.form-item {
    margin-top: 4px;
}*/

.columns {
    margin-top: -.55rem;
}

@media only screen and (max-width: 769px) 
{
    body {
        overflow-y: scroll;
    }

    .business-form .radio-list .field .field {
        float: none;
    }

    header .logo-link {
        margin-top: 8px;
        margin-left: 13px;
        float: left;
    }

    header .title {
        float: right;
        font-size: 1rem;
    }

    .business-form .form-item label.label {
        width: 100%;
        font-weight: 600;
        font-size: 0.85rem;
    }

    .business-form .field {
        width: 100%;
    }

    .business-form .radio-label {
        width: 100%;
    }

    .select.is-fullwidth select {
        width: 100%;
    }

    .select.is-fullwidth {
        width: 95%;
    }

    .business-form .numeric {
        width: 75%;
        min-width: 11rem;
    }

    .business-form .validation-message {
        width: 100%;
    }
    .error-summary, .invalid .validation-message {
        font-size: 13px;
    }

    .columns {
        margin-top: -.15rem;
    }
}

@media only screen and (max-width: 400px) {
    
    header .title {
        float: right;
        font-size: 0.8rem;
        /*margin-left: 5px;*/
    }


}

/* Fix spacing issue between progress indicator 1 & 2 */
.steps .step-item:first-child {
    -ms-flex-preferred-size: 1em;
    flex-basis: 1em;
    -webkit-box-flex: 1;
    -ms-flex-positive: 1;
    flex-grow: 1;
    -ms-flex-negative: 1;
    flex-shrink: 1;
}
